Skip to main content
Query Cluster Instance.
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

summary
boolean

summary flag

project
string

User defined name of the project, unique across the enterprise. Once project is created, name can’t be changed

namePattern
string

cluster name pattern

projectNamePattern
string

cluster project name pattern

clusterType
enum<string>
default:CLUSTER_TYPE_UNSPECIFIED

type of cluster

  • CLUSTER_TYPE_K3S: cluster type is k3s
  • CLUSTER_TYPE_TKG_ATTACH: cluster type is TKG, with subtype ATTACH
Available options:
CLUSTER_TYPE_UNSPECIFIED,
CLUSTER_TYPE_K3S,
CLUSTER_TYPE_TKG_ATTACH
next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

fields
string[]

Fields to select: id, name, title, description, tags, clusterType, projectId, revision, activate, clusterPolicyId, edgeNodePoolTags, serverAppID, agentAppID, minEdgeDevices, maxEdgeDevices, minServerNodes, maxServerNodes, minAgentNodes, maxAgentNodes, callHomeURL, clusterOnboardType, orchestrationProvider, orchestratorAuthenticationType, orchestratorServerAddress, orchestratorPort, dbEndpoint

Response

A successful response.

summaryByState
Summary is used to store the Summary details · object

cluster instance by summary

list
Cluster Instance config summary · object[]

cluster instance summary list response

next
Cursor is used as filter in list operation. · object

cursor next